@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');
*{
    font-family: "Poppins, sans-serif";
    margin: 0;
    padding: 0;
    scroll-padding-top: 2rem;
    scroll-behavior: smooth;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}
:root {
    --main-color: #fd4646;
    --text-color: #171427;
    --bg-color: #fff;
}
img{
    width: 100%;
}
body {
    color: var(--text-color);
}
.container{
    max-width: 1068px;
    margin: auto;
    width: 100%;
}
section{
    padding: 4rem 0 3rem;
}
header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background: var(--bg-color);
    box-shadow: 0 0 20px 0px rgba(0, 0, 0, 0.2);
    /* box-shadow: 0 1px 4px hsl(0, 4%, 15% / 10%); */
    z-index: 100;
}
.nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0;
}
.bar{
    /* position: fixed; */
    margin-top: 0;
    /* padding-left: 8rem; */
    font-size: 1.1rem;
    color: var(--text-color);
    /* font-weight: 400; */
}
  .bar ul li {
    display: inline-block;
    text-decoration: none;
    border: 1px solid #fff;
    border-radius: 30px;
    padding: 8px 12px;
    background: transparent;
    position: relative;
    cursor: pointer;
  }
  .bar ul li a {
    color: var(--text-color);
    text-decoration: none;
  }
  .bar ul li:hover {
    /* border: 1px solid var(--text-color); */
    text-decoration: underline;
    background: transparent;
    transition: 1s;
  }
.logo{
    width: 80px;
    border-radius: 0px;
    /* font-size: 1.1rem;
    color: var(--text-color);
    font-weight: 400; */
}
#cart-icon{
    font-size: 1.8rem;
    cursor: pointer;
}
/* cart */
.cart{
    position: fixed;
    top: 0;
    right: -100%;
    width: 360px;
    min-height: 100vh;
    padding: 20px;
    background: var(--bg-color);
    box-shadow: 0 0 20px 0px rgba(0, 0, 0, 0.2);
    /* box-shadow: -2px 0 4px hsl(0, 4%, 15% / 10%); */
    transition: 0.3s;
}
.cart.active{
    right: 0;
}
.cart-title{
    text-align: center;
    font-size: 1.5rem;
    font-weight: 600;
    margin-top: 2rem;
}
.cart-box{
    display: grid;
    grid-template-columns: 32% 50% 18%;
    align-items: center;
    gap: 1rem;
    margin-top: 1rem;
}
.cart-img{
    width: 100px;
    height: 100px;
    object-fit: contain;
    padding: 10px;
}
.detail-box{
    display: grid;
    row-gap: 0.5rem;
}
.cart-product-title{
    font-size: 1rem;
    text-transform: uppercase;
}
.cart-price{
    font-weight: 500;
}
.cart-quantity{
    border: 1px solid var(--text-color);
    outline-color: var(--main-color);
    width: 2.4rem;
    text-align: center;
    font-size: 1rem;
}
.cart-remove{
    font-size: 24px;
    color: var(--main-color);
    cursor: pointer;
}
.total{
    display: flex;
    justify-content: flex-end;
    margin-top: 1.5rem;
    border-top: 1px solid var(--text-color);
}
.total-title{
    font-size: 1rem;
    font-weight: 600;
}
.total-price{
    margin-left: 0.5rem;
}
.btn-buy{
    display: flex;
    margin: 1.5rem auto 0 auto;
    padding: 12px 20px;
    border: none;
    background: var(--main-color);
    color: var(--bg-color);
    font-size: 1rem;
    font-weight: 500;
    cursor: pointer;
}
.btn-buy:hover{
    background: var(--text-color);
}
#close-cart{
    position: absolute;
    top: 1rem;
    right: 0.8rem;
    font-size: 2rem;
    color: var(--text-color);
    cursor: pointer;
}

.section-title{
    font-size: 1.5rem;
    font-weight: 600;
    text-align: center;
    margin-bottom: 1.5rem;
}
.shop {
    margin-top: 0rem;
}

/* SHOP CONTENT  */
.shop-content{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, auto));
    gap: 1.5rem;
}
.product-box{
    position: relative;
    border: 2px solid var(--text-color);
    border-radius: 6px;

}
.product-box:hover{
    padding: 10px;
    border: 2px solid var(--text-color);
    transition: 0.4s;
    background-color: var(--text-color);
    color: var(--bg-color);
}
.product-img{
    width: 100%;
    height: auto;
    margin-bottom: 0.5rem;
    border-radius: 6px;
}
.product-title{
    font-size: 1.1rem;
    font-weight: 600;
    text-transform: uppercase;
    margin-bottom: 0.5rem;
    margin-left: 0.5rem;
}
.price{
    font-weight: 500;
    margin-left: 0.5rem;
}
.add-cart{
    position: absolute;
    bottom: 0;
    right: 0;
    background: var(--main-color);
    color: var(--bg-color);
    padding: 10px;
    cursor: pointer;
    border-radius: 4px;
}
.add-cart:hover{
    /* background: hsl(249, 32%, 17%); */
    background: #ff1f1f;
}

/* ----------footer---------- */
footer{
    position: fixed;
    bottom: 0;
  }
  .footer{
    background-color: #040a18;
    box-sizing: border-box;
    width: 100%;
    text-align: left;
    font: bold 16px sans-serif;
    padding: 50px 50px 60px 50px;
    margin-top: 80px;
  }
  
  .footer .footer-left,
  .footer .footer-center,
  .footer .footer-right{
    display: inline-block;
    vertical-align: top;
  }
  
  @media (max-height:800px){
    footer{
        position: static;
    }
    header{
        padding-top: 0px;
    }
  }
  
  .footer .footer-left{
    width: 30%;
  }
  .footer h3{
    color: #f5f5f5;
    margin-bottom: 20px;
    margin-right: 50%;
    font-family: Georgia, 'Times New Roman', Times, serif;
  }
  .footer .footer-left img{
    width: 25%;
    vertical-align: middle;
  }
  .footer .footer-left .credit-cards{
    width: 100%;
  }
  .footer .footer-copyright{
    color: #8f9296;
    font-size: 14px;
    font-weight: normal;
    margin: 0;
    padding-top: 10%;
  }
  .footer .footer-center{
    width: 35%;
  }
  .footer .footer-center i{
    background-color: #33383b;
    color: #fff;
    font-size: 25px;
    word-wrap: 30px;
    height: 40px;
    border-radius: 50%;
    text-align: center;
    line-height: 42px;
    margin: 10px 15px;
    vertical-align: middle;
  }
  .footer .footer-center i.bxs-envelope{
    font-size: 24px;
    line-height: 40px; 
  }
  .footer .footer-center p{
    display: inline-block;
    color: #fff;
    vertical-align: middle;
    margin: 0px;
  }
  .footer .footer-center p span{
    display: block;
    font-weight: normal;
    font-size: 14px;
    line-height: 2;
  }
  .footer .footer-center a{
    color: rgb(22, 225, 177);
    text-decoration: none;
  }
  
  .footer .footer-right{
    width: 30%;
  }
  
  .footer .footer-about{
    line-height: 20px;
    color: #92999f;
    font-size: 13px;
    font-weight: normal;
    margin: 0px;
  }
  
  .footer .footer-about span{
    display: block;
    color: #fff;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 20px;
  }
  .footer .footer-media{
    margin-top: 25px;
  }
  
  .footer .footer-media a{
    display: inline-block;
    width: 50px;
    height: 50px;
    cursor: pointer;
    background-color: #33383b;
    border-radius: 50%;
    font-size: 20px;
    color: #fff;
    text-align: center;
    line-height: 50px;
    margin-right: 8px;
    margin-bottom: 5px;
  }
  
  .footer .footer-media a:hover{
    background-color: rgb(0, 122, 82);
  }
  @media (max-width: 880px) {
    .footer .footer-left,
  .footer .footer-center,
  .footer .footer-right{
    display: block;
    width: 100%;
  }
  }

/* Breakpoints / Making Responsive */
@media (max-width:1080px){
    .nav{
        padding: 15px;
    }
    section{
        padding: 3rem 0 2rem;
    }
    .container{
        margin: 0 auto;
        width: 90%;
    }
    .shop{
        margin-top: 2rem !important;
    }
}
@media (max-width:400px){
    .nav{
        padding: 11px;
    }
    .bar{
        font-size: 1rem;
    }
    .cart{
        width: 320px;
    }
}
@media (max-width:360px){
    .shop{
        margin-top: 1rem !important;
    }
    .cart{
        width: 280px;
    }
}